Bug 730882 - spout has no option --content, possibly mistyped in documentation
Summary: spout has no option --content, possibly mistyped in documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 2.2
: ---
Assignee: Joshua Wulf
QA Contact: Cheryn Tan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 06:04 UTC by Zdenek Kraus
Modified: 2014-10-19 22:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-20 03:13:32 UTC


Attachments (Terms of Use)

Description Zdenek Kraus 2011-08-16 06:04:28 UTC
Description of problem:
Documentation offers in example option '--content' but program refuses it with error, but it accepts content as second parameter without this option. So I suggests change this example in documentation instead of changing program.

Version-Release number of selected component (if applicable):
rhm-docs-0.10-2.el5
qpid-tools-0.10-6.el5


How reproducible:
100%

  
Actual results:
Documentation:
$ ./spout my-queue --content one
$ ./spout my-queue --content two
$ ./spout my-queue --content three

program:
$ ./spout my-queue --content one
usage: spout [options] ADDRESS [ CONTENT ... ]

spout: error: no such option: --content


Expected results:
Documentation:
$ ./spout my-queue  one
$ ./spout my-queue  two
$ ./spout my-queue  three

program:
$ ./spout my-queue one
Message(properties={'spout-id': '7e8d40b8-da23-1f4a-9037-c3dc7ce0c5df:0'}, content='one')

Comment 1 Zdenek Kraus 2011-08-16 06:20:39 UTC
(In reply to comment #0)
Actual results:
Documentation:
2.4.3.3. browse
Some options specify message transfer semantics. For example, they might state whether messages should be consumed or read in browsing mode, or specify reliability characteristics. The following example uses the browse option to receive messages without removing them from a queue.
Example 2.10. Browsing a Queue
Use the browse mode to receive messages without removing them from the queue. First, send three messages to the queue:

$ ./spout my-queue --content one
$ ./spout my-queue --content two
$ ./spout my-queue --content three



Sorry for scattered description.

Comment 4 Cheryn Tan 2012-09-20 02:54:22 UTC
Released for MRG 2.2


Note You need to log in before you can comment on or make changes to this bug.